/* Graphics CSS document */
/* Handles css to do with graphicsboard display */

.baseplateimage {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  object-fit: contain;
}

.overlayimage {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  object-fit: contain;
  opacity: 0;
  transition: 1.5s ease;
}

.rendered {
  opacity: 1;
}

.workerimage {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  width: 15%;
  opacity: 0;
}

@keyframes dowork {
  0% {
    opacity: 0;
    top: 0;
    left: 0;
    transform: none;
  }
  5% {
    opacity: 1;
    top: 10%;
    left: 10%;
  }
  25% {
    top: 60%;
    left: 20%;
  }
  50% {
    top: 25%;
    left: 70%;
    transform: rotate(45deg);
  }
  75% {
    top: 70%;
    left: 60%;
    transform: none;
  }
  95% {
    opacity: 1;
    top: 10%;
    left: 10%;
    transform: rotate(-45deg);
  }
  100% {
    opacity: 0;
    top: 0;
    left: 0;
    transform: none;
  }
}